Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class GroupingPartitioner

    java.lang.Object
      cascading.tuple.util.TupleHasher
          cascading.tuple.hadoop.util.HasherPartitioner
              cascading.tuple.hadoop.util.GroupingPartitioner

All Implemented Interfaces:
  JobConfigurable, Partitioner<TuplePair,Tuple>

    public class GroupingPartitioner

extends HasherPartitioner
implements Partitioner<TuplePair,Tuple>

Class GroupingPartitioner is an implementation of `Partitioner`.

Constructor Summary
`GroupingPartitioner()`

Method Summary
`int` | `getPartition(TuplePair key, Tuple value, int numReduceTasks)`

Methods inherited from class cascading.tuple.hadoop.util.HasherPartitioner
`configure`

Methods inherited from class cascading.tuple.util.TupleHasher
`hashCode, initialize, isNull, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Constructor Detail

### GroupingPartitioner

    public GroupingPartitioner()

Method Detail

### getPartition

    public int getPartition(TuplePair key,
                            Tuple value,
                            int numReduceTasks)

  Specified by:
    `getPartition` in interface `Partitioner<TuplePair,Tuple>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.